## org.eclipse.datatools.connectivity.ui.actions
Class PingAction

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.actions.PingAction

    public class PingAction

extends java.lang.Object

Author:
  shongxum, brianf

Constructor Summary
`PingAction()`

Method Summary
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setSelection(ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingAction

    public PingAction()

Method Detail

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

### getSelection

    public ISelection getSelection()

### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

### setSelection

    public void setSelection(ISelection selection)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.